Subject: running aggregate netperf TCP_RR Re: e1000 full-duplex TCP performance well below wire speed

From: Rick Jones <[email-masked]>
Date: Thu, 31 Jan 2008 10:11:48 -0800

> PS: Am I right that the TCP_RR tests should only be run on a single node 
> at a time, not on both ends simultaneously?

It depends on what you want to measure.  In this specific case since the 
goal is to saturate the link in both directions it is unlikely you 
should need a second instance running, and if you do, going to a 
TCP_STREAM+TCP_MAERTS pair might be indicated.

If one is measuring aggregate small transaction (perhaps packet) 
performance, then there can be times when running multiple, concurrent, 
aggregate TCP_RR tests is indicated.

Also, from time to time you may want to experiment with the value you 
use with -b - the value necessary to get to saturation may not always be 
the same - particularly as you switch from link to link and from LAN to 
WAN and all those familiar bandwidthXdelay considerations.

happy benchmarking,

rick jones